package vo

// CardType
// - 1：卡密+卡密：no和pwd都不为空
// - 2：卡密，pwd不为空
// - 3：链接，url不为空
type CardType int

const (
	CardTypePwdNo CardType = iota + 1
	CardTypePwd
	CardTypeUrl
)

var cardTypeTextMap = map[CardType]string{
	CardTypePwdNo: "卡密+卡密：no和pwd都不为空",
	CardTypePwd:   "卡密，pwd不为空",
	CardTypeUrl:   "链接，url不为空",
}

func (o CardType) GetCardTypeText() string {
	if text, ok := cardTypeTextMap[o]; ok {
		return text
	}
	return ""
}

func (o CardType) IsPwdNo() bool {
	return o == CardTypePwdNo
}

func (o CardType) IsPwd() bool {
	return o == CardTypePwd
}

func (o CardType) IsUrl() bool {
	return o == CardTypeUrl
}
